diff --git a/src/backend/commands/explain.c b/src/backend/commands/explain.c
index 41317f1837..43f9b01e83 100644
--- a/src/backend/commands/explain.c
+++ b/src/backend/commands/explain.c
@@ -2827,7 +2827,7 @@ show_incremental_sort_group_info(IncrementalSortGroupInfo *groupInfo,
 			ExplainPropertyInteger("Peak Sort Space Used", "kB",
 								   groupInfo->maxMemorySpaceUsed, es);
 
-			ExplainCloseGroup("Sort Spaces", memoryName.data, true, es);
+			ExplainCloseGroup("Sort Space", memoryName.data, true, es);
 		}
 		if (groupInfo->maxDiskSpaceUsed > 0)
 		{
@@ -2844,7 +2844,7 @@ show_incremental_sort_group_info(IncrementalSortGroupInfo *groupInfo,
 			ExplainPropertyInteger("Peak Sort Space Used", "kB",
 								   groupInfo->maxDiskSpaceUsed, es);
 
-			ExplainCloseGroup("Sort Spaces", diskName.data, true, es);
+			ExplainCloseGroup("Sort Space", diskName.data, true, es);
 		}
 
 		ExplainCloseGroup("Incremental Sort Groups", groupName.data, true, es);
